## ereandel 0.26.0

=== Makefile ===
.PHONY: install uninstall

PREFIX ?= ~/.local
BINDIR?=$(PREFIX)/bin
DOCDIR?=$(PREFIX)/share/doc/ereandel
MANDIR?=$(PREFIX)/share/man/man1
LICENSEDIR?=$(PREFIX)/share/doc/ereandel

install:
	mkdir -p $(BINDIR) $(DOCDIR) $(LICENSEDIR) $(MANDIR)
	install -m +rx ereandel -t $(BINDIR)
	install -m +r README.md CONTRIBUTING.md -t $(DOCDIR)
	install -m +r LICENSE -t $(LICENSEDIR)
	install -m +r ereandel.en.1 $(MANDIR)/ereandel.1

uninstall:
	rm $(BINDIR)/ereandel
	rm -rf $(DOCDIR)
	rm -rf $(LICENSEDIR)
	rm -f $(MANDIR)/ereandel.1

=== debian/changelog ===
ereandel (0.26.0-2) unstable; urgency=medium

  * d/control:
    - Remove openssl from Build-Depends and add it in binary Depends
    - Add Multi-Arch: foreign to the binary package

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Wed, 31 Jul 2024 12:25:33 +0000

ereandel (0.26.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1036734)

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Tue, 23 Jul 2024 16:34:35 +0000

=== debian/control ===
Source: ereandel
Section: web
Priority: optional
Maintainer: Akash Doppalapudi <akashdoppalapudi2001@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: https://github.com/blmayer/ereandel
Vcs-Browser: https://salsa.debian.org/debian/ereandel
Vcs-Git: https://salsa.debian.org/debian/ereandel.git

Package: ereandel
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 openssl
Description: Gemini web browser using shell script
 Ereandel is a browser that helps users to find and navigate the Gemini web, it
 is a FOSS with a stable version with all needed features described on the
 protocol. Using only a few utilities it has minimal dependencies, as it is
 written in POSIX shell script. It is known to work well on many platforms.

## ereandel 0.26.1

=== Makefile ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 install:
 	mkdir -p $(BINDIR) $(DOCDIR) $(LICENSEDIR) $(MANDIR)
-	install -m +rx ereandel -t $(BINDIR)
-	install -m +r README.md CONTRIBUTING.md -t $(DOCDIR)
-	install -m +r LICENSE -t $(LICENSEDIR)
+	install -m +rx ereandel $(BINDIR)/
+	install -m +r README.md CONTRIBUTING.md $(DOCDIR)/
+	install -m +r LICENSE $(LICENSEDIR)/
 	install -m +r ereandel.en.1 $(MANDIR)/ereandel.1
 
 uninstall:

=== debian/changelog ===
ereandel (0.26.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload.

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Sep 2024 10:57:09 -0400

ereandel (0.26.1-1) unstable; urgency=medium

  * New upstream version 0.26.1
  * Set Architecture: all

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Sat, 07 Sep 2024 06:09:48 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Vcs-Git: https://salsa.debian.org/debian/ereandel.git
 
 Package: ereandel
-Architecture: any
+Architecture: all
 Multi-Arch: foreign
 Depends:
  ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=$(CURDIR)/debian/ereandel/usr

%:
	dh $@

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
https://github.com/blmayer/ereandel/tags .*/v(\d\S+)@ARCHIVE_EXT@
